[arch-commits] Commit in gdm/trunk (PKGBUILD gdm.install)

Jan Steffens heftig at archlinux.org
Tue Sep 10 21:17:02 UTC 2019


    Date: Tuesday, September 10, 2019 @ 21:17:01
  Author: heftig
Revision: 362177

Restore post-install user creation (FS#63706)

Added:
  gdm/trunk/gdm.install
Modified:
  gdm/trunk/PKGBUILD

-------------+
 PKGBUILD    |    6 +-----
 gdm.install |   11 +++++++++++
 2 files changed, 12 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-10 21:03:56 UTC (rev 362176)
+++ PKGBUILD	2019-09-10 21:17:01 UTC (rev 362177)
@@ -71,6 +71,7 @@
           etc/pam.d/gdm-password etc/pam.d/gdm-smartcard etc/gdm/custom.conf
           etc/gdm/Xsession etc/gdm/PostSession/Default etc/gdm/PreSession/Default)
   groups=(gnome)
+  install=gdm.install
 
   DESTDIR="$pkgdir" make -C build install
 
@@ -79,11 +80,6 @@
   # Unused or created at start
   rm -r "$pkgdir"/var/{cache,log,run}
 
-  install -Dm644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/gdm.conf" <<END
-g gdm 120 -
-u gdm 120 "Gnome Display Manager" /var/lib/gdm
-END
-
 ### Split libgdm
   mkdir -p libgdm/{lib,share}
   mv -t libgdm       "$pkgdir"/usr/include

Added: gdm.install
===================================================================
--- gdm.install	                        (rev 0)
+++ gdm.install	2019-09-10 21:17:01 UTC (rev 362177)
@@ -0,0 +1,11 @@
+post_install() {
+  # Can't use sysusers as the greeter session cannot launch with an expired 'gdm' account
+  # https://bugs.archlinux.org/task/63706
+  if ! getent passwd gdm >/dev/null; then
+    groupadd -r -g 120 gdm
+    useradd -r -c "Gnome Display Manager" -u 120 -g gdm -d /var/lib/gdm -s /sbin/nologin gdm
+    passwd -ql gdm
+  fi
+}
+
+# vim:set ft=sh sw=2 et:


More information about the arch-commits mailing list